Modeling Wizard Plugin for AutomationML Editor Version1.0.0.1 Plugin |

Public Types | Public Member Functions | List of all members
Aml.Editor.Plugin.MWController Class Reference

This class passes the inputs of the GUIs to MWData where needed and it is in controll of what is displayed at the screen More...

## Public Types
enum | MWGUIType { MWGUIType.CreateDevice, MWGUIType.CreateInterface, MWGUIType.Start, MWGUIType.DeviceDescription }
| Enum to represent the GUI More...

## Public Member Functions
| MWController (ModellingWizard modellingWizard)
| Init the controller and reload all amlx devices More...
DeviceDescription | GetDeviceDescriptionForm ()
| Create the new CreateDevice GUI or return the previously created GUI More...
String | CreateDeviceOnClick (MWDevice newDevice, bool isEdit)
void | ChangeGui (MWGUIType targetGUI)
| Show the correct GUI for the selected device More...
string | importFile (string filename, MWData.MWFileType filetype)
| Call the Converter with the given file More...

## Detailed Description

This class passes the inputs of the GUIs to MWData where needed and it is in controll of what is displayed at the screen

## Member Enumeration Documentation

## ◆ MWGUIType

enum Aml.Editor.Plugin.MWController.MWGUIType
| strong

Enum to represent the GUI

Enumerator
CreateDevice |
CreateInterface |
Start |
DeviceDescription |

## Constructor & Destructor Documentation

## ◆ MWController()

Aml.Editor.Plugin.MWController.MWController | ( | ModellingWizard | modellingWizard | ) |
| inline

Init the controller and reload all amlx devices

Parameters

  modellingWizard |

## Member Function Documentation

## ◆ ChangeGui()

void Aml.Editor.Plugin.MWController.ChangeGui | ( | MWGUIType | targetGUI | ) |
| inline

Show the correct GUI for the selected device

Parameters

  selectedIndex | The index of the selected item in the dropdown

Reload all .amlx files in ./modellingwizard/ and update the dropdown.

Switch the displayed

Parameters

  targetGUI | the GUI Type to display

## ◆ CreateDeviceOnClick()

String Aml.Editor.Plugin.MWController.CreateDeviceOnClick | ( | MWDevice | newDevice,
|  | bool | isEdit
| ) |  |
| inline

Parameters

  newDevice |
  isEdit |

Returns

## ◆ GetDeviceDescriptionForm()

DeviceDescription Aml.Editor.Plugin.MWController.GetDeviceDescriptionForm | ( |  | ) |
| inline

Create the new CreateDevice GUI or return the previously created GUI

Returns
  the CreateDevice GUI for this session

creáte the new DeviceDescription GUI or return the previously created GUI

## ◆ importFile()

string Aml.Editor.Plugin.MWController.importFile | ( | string | filename,
|  | MWData.MWFileType | filetype
| ) |  |
| inline

Call the Converter with the given file

Parameters

  filename | the full path to the file
  filetype | whether the file is an IODD or an GSD file

Returns

The documentation for this class was generated from the following file:

- MWController.cs